package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel("分页获取原料类别")
public class MenuMaterialCategoryPageVO {
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("类别编码")
   private String categoryNum;
   @ApiModelProperty("类别名称")
   private String categoryName;
   @ApiModelProperty("子类别")
   private List<MenuCategoryChild> children;
   @ApiModelProperty("类别类型")
   private Integer categoryType;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryNum() {
      return this.categoryNum;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public List<MenuCategoryChild> getChildren() {
      return this.children;
   }

   public Integer getCategoryType() {
      return this.categoryType;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryNum(final String categoryNum) {
      this.categoryNum = categoryNum;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setChildren(final List<MenuCategoryChild> children) {
      this.children = children;
   }

   public void setCategoryType(final Integer categoryType) {
      this.categoryType = categoryType;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
